#
# bastille-tmpdir.sh
#
# This script sets the TMPDIR environment variable for some added
# safety on multi-user systems. Many applications write temporary
# files in unsafe ways to /tmp unless TMPDIR is set.
#
if [ -z "${TMPDIR}" ]; then
        # TMPDIR is not set
        TMPDIR="${HOME}/tmp"
        if [ "${TMPDIR}" = /tmp ]; then
                # This user's home dir is "/"? SysV-root?
                TMPDIR=/tmp-root
        fi
        if [ ! -d "${TMPDIR}" ]; then
		# We need to create the directory, with sane permisssions
                mkdir -m 0700 "${TMPDIR}" 2>/dev/null && export TMPDIR \
                        || echo "Warning: unable to create safe TMPDIR"
        else
                export TMPDIR
        fi
fi

